%define name	gnome-build
%define version 0.1.1
%define release 1mdk

%define api_version 1
%define lib_major 0
%define libname_basic gbf
%define libname %mklibname gbf- %{api_version}

Summary:	Automake/conf-based project managing framework for GNOME
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/GNOME and GTK+
URL:		http://www.gnome.org/projects/devtools/gnomebuild.shtml
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		ftp://ftp.gnome.org/pub/gnome/sources/%{name}/0.1/%{name}-%{version}.tar.bz2
#Patch0:		%{name}-0.1.0-fixbuild.patch.bz2
#Patch1:		gnome-build-0.1.0-deprecation.patch.bz2
BuildRequires:	gtk2-devel
BuildRequires:	libgdl-devel
BuildRequires:	libxml2-devel
BuildRequires:	libgnome-vfs2-devel
BuildRequires:	libgnome2-devel
BuildRequires:	libbonoboui2-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	gnome-common

%description
Gnome-build is a GObject-based framework for managing projects and
specifically automake/conf-based projects.  It can parse the
configure.in and Makefile.am files to build an internal XML
representation of the project.

%package	-n %{libname}_%{lib_major}
Summary:	Automake/conf-based project managing framework for GNOME
Group:		System/Libraries
Provides:	%{libname} = %{version}-%{release}

%description	-n %{libname}_%{lib_major}
Gnome-build is a GObject-based framework for managing projects and
specifically automake/conf-based projects.  It can parse the
configure.in and Makefile.am files to build an internal XML
representation of the project.

This package contains main libraries for Gnome-build Framework.

%package	-n %{libname}_%{lib_major}-devel
Summary:	Header and development for Gnome Build Framework
Group:		Development/GNOME and GTK+
Requires:	%{libname}_%{lib_major} = %{version}
Provides:	%{libname}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %{libname}_%{lib_major}-devel
Gnome-build is a GObject-based framework for managing projects and
specifically automake/conf-based projects.  It can parse the
configure.in and Makefile.am files to build an internal XML
representation of the project.

This package contains header files and various development files for
compiling or developing applications that need Gnome-build Framework.

%prep
%setup -q
#%patch0 -p1
#%patch1 -p1

# needed by patch0
# was: aclocal-1.7 -I /usr/share/aclocal/gnome2-macros
#aclocal-1.7
#libtoolize -c -f
#automake-1.7
#autoconf-2.5x

%build
%configure2_5x --enable-compile-warnings=yes
# 0.1.0-1mdk (Abel) parallel build won't work
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%define gettext_package gbf-1
%{find_lang} %{gettext_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname}_%{lib_major} -p /sbin/ldconfig
%postun -n %{libname}_%{lib_major} -p /sbin/ldconfig

%files -f %{gettext_package}.lang
%defattr(-, root, root)
%doc AUTHORS MAINTAINERS
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/%{name}
%{_libdir}/%{name}-1.0

%files -n %{libname}_%{lib_major}
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files -n %{libname}_%{lib_major}-devel
%defattr(-, root, root)
%doc ChangeLog
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu May 19 2005 Austin Acton <austin@mandriva.org> 0.1.1-1mdk
- 0.1.1
- simplify buildrequires
- fix requires on release

* Fri Mar 18 2005 trem <trem@zarb.org> 0.1.0-3mdk
- patch to fix build

* Fri Oct 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.0-2mdk
- patch to fix build

* Sat Aug 23 2003 Abel Cheung <maddog@linux.org.hk> 0.1.0-1mdk
- First Mandrake spec
- Patch0(CVS): Fix building of package, missing file etc
